package com.jay.monitor.data.server.process;

import com.alipay.remoting.BizContext;
import com.alipay.remoting.rpc.protocol.SyncUserProcessor;
import com.jay.monitor.data.server.model.TestDataRequest;

import java.util.HashMap;
import java.util.Map;

/**
 * 用户处理器
 *
 * @author ： liukx
 * @time ： 2020/8/26 - 14:48
 */
public class TestUserProcess extends SyncUserProcessor<TestDataRequest> {

    @Override
    public Object handleRequest(BizContext bizCtx, TestDataRequest request) throws Exception {
        System.out.println("收到消息啦: " + request.toString() + " \t " + bizCtx.toString());
        Map<String, String> response = new HashMap<>();
        response.put("success", "true");
        return response;
    }

    @Override
    public String interest() {
        return TestDataRequest.class.getName();
    }
}
